package dao

import "code.fnuoos.com/zhimeng/model.git/src/model"

type AppletApplicationDao interface {
	GetAppletApplicationList(id int) (medium *model.AppletApplication, err error)
	FindAppletApplicationListByIds(id []string) (medium *[]model.AppletApplication, err error)
	GetAppletApplicationListByAppid(appId string) (medium *model.AppletApplication, err error)
	FindAppletApplicationList(name, platform string, state []string, mediumId, page, limit int) (list []model.AppletApplication, total int64, err error)
	FindAllAppletApplicationList() (list []model.AppletApplication, err error)
}
