package model

import (
	"time"
)

type AdminBindMedium struct {
	Id       int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	AdminId  int       `json:"admin_id" xorm:"default 0 comment('管理员id') INT(11)"`
	MediumId int       `json:"medium_id" xorm:"not null default 0 comment('媒体id') INT(11)"`
	CreateAt time.Time `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP DATETIME"`
	UpdateAt time.Time `json:"update_at" xorm:"not null default CURRENT_TIMESTAMP DATETIME"`
}
