package dao

import "code.fnuoos.com/zhimeng/model.git/src/super/model"

type AgentBankInfoDao interface {
	GetAgentBankInfoList(agentId int) (medium *model.AgentBankInfo, err error)
	FindAgentBankInfoList(uuid, name, state string, page, limit int) (list []AgentBankInfoGroup, total int64, err error)
}
type AgentBankInfoGroup struct {
	model.AgentBankInfo `xorm:"extends"`
	model.AgentList     `xorm:"extends"`
}

func (AgentBankInfoGroup) TableName() string {
	return "agent_bank_info"
}
