package dao

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
	"xorm.io/xorm"
)

type AgentSettlementDao interface {
	GetAgentSettlementForAvailable(agentId int) (agentSettlement *model.AgentSettlement, err error)
	AgentSettlementInsertBySession(session *xorm.Session, m *model.AgentSettlement) (int64, error)
	UpdateAgentSettlementBySession(session *xorm.Session, agentSettlement *model.AgentSettlement, columns ...string) (int64, error)
	FindAgentSettlementList(uuid, mediumId, appId, payState, state, startDate, endDate string, page, limit int) (list []model.AgentSettlement, total int64, err error)
	GetAgentSettlementById(id int) (mediumSettlement *model.AgentSettlement, err error)
}
