package dao

import "code.fnuoos.com/zhimeng/model.git/src/super/model"

type AgentWithMediumDao interface {
	AgentWithMediumInsert(m *model.AgentWithMedium) (int64, error)
	FindAgentWithMediumList(name, state string, agentId, mediumId, page, limit int) (list []AgentWithMediumGroup, total int64, err error)
	GetAgentWithMediumByMediumIdAndAgentId(mediumId, agentId int) (medium *model.AgentWithMedium)
	FindAgentWithMediumListByMediumIdAll(mediumId int) (list []model.AgentWithMedium, err error)
	FindAgentWithMediumListByAgentIdAll(agentId int) (list []model.AgentWithMedium, err error)
}
type AgentWithMediumGroup struct {
	model.AgentWithMedium `xorm:"extends"`
	model.MediumList      `xorm:"extends"`
	model.AgentList       `xorm:"extends"`
}

func (AgentWithMediumGroup) TableName() string {
	return "agent_with_medium"
}
