package dao

import "code.fnuoos.com/zhimeng/model.git/src/super/model"

type MediumBankInfoDao interface {
	GetMediumBankInfoList(MediumId int) (medium *model.MediumBankInfo, err error)
	FindMediumBankInfoList(uuid, name, mediumId, state string, page, limit int) (list []MediumBankInfoGroup, total int64, err error)
}
type MediumBankInfoGroup struct {
	model.MediumBankInfo `xorm:"extends"`
	model.MediumList     `xorm:"extends"`
}

func (MediumBankInfoGroup) TableName() string {
	return "medium_bank_info"
}
