package dao

import "code.fnuoos.com/zhimeng/model.git/src/super/model"

type MediumInvoiceDao interface {
	GetMediumInvoice(settlementId int) (data *model.MediumInvoice, err error)
	GetMediumInvoiceById(id int) (data *model.MediumInvoice, err error)
	FindMediumInvoiceList(uuid, types, mediumId string, page, limit int) (list []MediumInvoiceGroup, total int64, err error)
}
type MediumInvoiceGroup struct {
	model.MediumInvoice    `xorm:"extends"`
	model.MediumSettlement `xorm:"extends"`
}

func (MediumInvoiceGroup) TableName() string {
	return "medium_invoice"
}
