package dao

import "code.fnuoos.com/zhimeng/model.git/src/super/model"

type UserAppDomainDao interface {
	GetUserAppDomain(masterId int) (m *model.UserAppDomain, err error)
	GetUserAppDomainByPlatform(masterId int, platform string) (m *model.UserAppDomain, err error)
	GetAppDomainByHost(host string) (m *model.UserAppDomain, err error)
	GetAppDomainByType(kind, masterId string) (m *model.UserAppDomain, err error)
	UserAppDomainInsert(m *model.UserAppDomain) (int64, error)
}
