﻿package implement

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/dao"
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
	"xorm.io/xorm"
)

func NewAgentSettlementWithFlowDb(engine *xorm.Engine) dao.AgentSettlementWithFlowDao {
	return &AgentSettlementWithFlowDb{Db: engine}
}

type AgentSettlementWithFlowDb struct {
	Db *xorm.Engine
}

func (a AgentSettlementWithFlowDb) AgentSettlementWithFlowInsertBySession(session *xorm.Session, agentSettlementWithFlow *model.AgentSettlementWithFlow) (int64, error) {
	insertAffected, err := session.InsertOne(agentSettlementWithFlow)
	if err != nil {
		return 0, err
	}
	return insertAffected, nil
}
