﻿package implement

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/dao"
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
	"xorm.io/xorm"
)

func NewMediumSettlementWithFlowDb(engine *xorm.Engine) dao.MediumSettlementWithFlowDao {
	return &MediumSettlementWithFlowDb{Db: engine}
}

type MediumSettlementWithFlowDb struct {
	Db *xorm.Engine
}

func (m MediumSettlementWithFlowDb) MediumSettlementWithFlowInsertBySession(session *xorm.Session, mediumSettlementWithFlow *model.MediumSettlementWithFlow) (int64, error) {
	insertAffected, err := session.InsertOne(mediumSettlementWithFlow)
	if err != nil {
		return 0, err
	}
	return insertAffected, nil
}
