package implement

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/dao"
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
	"xorm.io/xorm"
)

func NewSmsNumListDb(engine *xorm.Engine) dao.SmsNumListDao {
	return &SmsNumListDb{Db: engine}
}

type SmsNumListDb struct {
	Db *xorm.Engine
}

func (s SmsNumListDb) GetSmsNum(uid interface{}) *model.SmsNumList {
	var data model.SmsNumList
	get, err := s.Db.Where("uid=? ", uid).Get(&data)
	if get == false || err != nil {
		return nil
	}
	return &data
}
