﻿package implement

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/dao"
	"xorm.io/xorm"
)

func NewUserOpenPermissionDb(engine *xorm.Engine) dao.UserOpenPermissionDao {
	return &UserOpenPermissionDb{Db: engine}
}

type UserOpenPermissionDb struct {
	Db *xorm.Engine
}

func (u UserOpenPermissionDb) GetUserOpenPermission(masterId int) (list []*dao.GetUserOpenPermissionResp, total int64, err error) {
	total, err = u.Db.Where("user_open_permission.master_id =?", masterId).
		Join("LEFT", "open_permission", "user_open_permission.permission_id = open_permission.id").
		FindAndCount(&list)
	return
}
