package model

type UserOpenPermission struct {
	Id           int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	MasterId     int    `json:"master_id" xorm:"not null default 0 comment('站长id') INT(11)"`
	PermissionId int    `json:"permission_id" xorm:"not null default 0 comment('权限id') INT(11)"`
	CreateAt     string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt     string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
