package dao

import "code.fnuoos.com/zhimeng/model.git/src/super/model"

type AgentInvoiceDao interface {
	GetAgentInvoice(settlementId int) (data *model.AgentInvoice, err error)
	FindAgentInvoiceList(uuid, types string, page, limit int) (list []AgentInvoiceGroup, total int64, err error)
}
type AgentInvoiceGroup struct {
	model.AgentInvoice    `xorm:"extends"`
	model.AgentSettlement `xorm:"extends"`
}

func (AgentInvoiceGroup) TableName() string {
	return "agent_invoice"
}
