package dao

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
	"xorm.io/xorm"
)

type AgentListDao interface {
	GetAgentList(agentId int) (agent *model.AgentList, err error)
	GetAgentListBySession(session *xorm.Session, agentId int) (agent *model.AgentList, err error)
	AgentListInsert(m *model.AgentList) (int64, error)
	UpdateAgentList(m *model.AgentList, columns ...string) (int64, error)
	FindAgentList(uuid, name, state string, minState, page, limit int) (list []model.AgentList, total int64, err error)
	FindAgentListBySettleType(uuid, agentId, settleType string, page, limit int) (list []model.AgentList, total int64, err error)
}
