package dao

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
	"xorm.io/xorm"
)

type MasterDataStatisticsDao interface {
	GetMasterDataStatistics(uuid int, date string) (data *model.MasterDataStatistics, err error)
	UpdateMasterDataStatistics(m *model.MasterDataStatistics, columns ...string) (int64, error)
	UpdateMasterDataStatisticsBySession(session *xorm.Session, m *model.MasterDataStatistics, columns ...string) (int64, error)
	FindMasterDataStatisticsList(uuid, startDate, endDate string, page, limit int) (list []model.MasterDataStatistics, total int64, err error)
	MasterDataStatisticsInsert(m *model.MasterDataStatistics) (int64, error)
}
