package dao

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
	"xorm.io/xorm"
)

type MediumListDao interface {
	GetMediumList(mediumId int) (medium *model.MediumList, err error)
	GetMediumListBySession(session *xorm.Session, mediumId int) (medium *model.MediumList, err error)
	MediumListInsert(m *model.MediumList) (int64, error)
	UpdateMediumList(m *model.MediumList, columns ...string) (int64, error)
	FindMediumList(uuid, name, mediumId, state string, minState, page, limit int) (list []model.MediumList, total int64, err error)
	FindMediumListBySettleType(uuid, mediumId, settleType string, page, limit int) (list []model.MediumList, total int64, err error)
}
