package dao

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
	"xorm.io/xorm"
)

type MediumSettlementDao interface {
	GetMediumSettlementForAvailable(mediumId int) (mediumSettlement *model.MediumSettlement, err error)
	GetMediumSettlementById(id int) (mediumSettlement *model.MediumSettlement, err error)
	MediumSettlementInsertBySession(session *xorm.Session, m *model.MediumSettlement) (int64, error)
	UpdateMediumSettlementBySession(session *xorm.Session, mediumSettlement *model.MediumSettlement, columns ...string) (int64, error)
	FindMediumSettlementList(uuid, mediumId, appId, payState, state, startDate, endDate string, page, limit int) (list []model.MediumSettlement, total int64, err error)
}
