﻿package dao

import "code.fnuoos.com/zhimeng/model.git/src/super/model"

type UserOpenPermissionDao interface {
	GetUserOpenPermission(masterId int) (list []*GetUserOpenPermissionResp, total int64, err error)
}

type GetUserOpenPermissionResp struct {
	model.UserOpenPermission `xorm:"extends"`
	model.OpenPermission     `xorm:"extends"`
}

func (GetUserOpenPermissionResp) TableName() string {
	return "user_open_permission"
}
