package model

type MediumDivisionStrategyWithAgentFlow struct {
	Id               int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	StrategyId       int    `json:"strategy_id" xorm:"not null default 0 comment('策略id') index unique(IDX_UUID_TYPE) INT(11)"`
	AgentId          int    `json:"agent_id" xorm:"not null default 0 comment('代理id') unique(IDX_UUID_TYPE) INT(11)"`
	AgentRevenueRate int    `json:"agent_revenue_rate" xorm:"not null default 0 comment('代理收益百分比') TINYINT(1)"`
	ExtraRevenueRate int    `json:"extra_revenue_rate" xorm:"not null default 0 comment('额外收益百分比') TINYINT(1)"`
	CreateAt         string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt         string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
