package model

type MediumInvoice struct {
	Id           int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uuid         int    `json:"uuid" xorm:"not null default 0 comment('站长id')  INT(11)"`
	MediumId     int    `json:"medium_id" xorm:"not null default 0 comment('媒体id') INT(11)"`
	SettlementId int    `json:"settlement_id" xorm:"not null default 0 comment('结算id') index unique INT(11)"`
	CreateAt     string `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP DATETIME"`
	UpdateAt     string `json:"update_at" xorm:"not null default CURRENT_TIMESTAMP DATETIME"`
	File         string `json:"file" xorm:"VARCHAR(5000)"`
	Count        int    `json:"count" xorm:"default 0 INT(11)"`
	Type         int    `json:"type" xorm:"default 0 comment('0电子发票 1纸质发票') INT(1)"`
	State        int    `json:"state" xorm:"default 0 comment('0待审核 1审核通过 2审核拒绝') INT(1)"`
}
