package model

import (
	"time"
)

type UserList struct {
	Uuid          int       `json:"uuid" xorm:"not null default 0 comment('msater_id') INT(10)"`
	Name          string    `json:"name" xorm:"not null default '' comment('昵称') VARCHAR(32)"`
	Memo          string    `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(255)"`
	OpenAppSecret string    `json:"open_app_secret" xorm:"not null default '' comment('开放平台秘钥') VARCHAR(255)"`
	State         int       `json:"state" xorm:"not null default 1 comment('状态0未激活,1正常.2禁用') TINYINT(1)"`
	DeleteAt      time.Time `json:"delete_at" xorm:"comment('删除时间') TIMESTAMP"`
}
