package model

type UserWxAppletList struct {
	Id                     int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Name                   string `json:"name" xorm:"not null default '' comment('小程序名称') VARCHAR(255)"`
	Logo                   string `json:"logo" xorm:"not null default '' comment('小程序logo') VARCHAR(255)"`
	Appid                  string `json:"appid" xorm:"not null default '' comment('授权小程序appid') VARCHAR(255)"`
	OriginalId             string `json:"original_id" xorm:"not null default '' comment('授权小程序原始id') VARCHAR(255)"`
	AuthorizerRefreshToken string `json:"authorizer_refresh_token" xorm:"not null default '' comment('授权更新token') VARCHAR(255)"`
	IsAuth                 int    `json:"is_auth" xorm:"not null default 0 comment('是否已授权 1已授权 0未授权') TINYINT(1)"`
	Uuid                   string `json:"uuid" xorm:"not null default '' comment('站长id') unique VARCHAR(255)"`
	CreateAt               string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt               string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
