package model

type WxOpenThirdPartyAppList struct {
	Id                    int    `json:"id" xorm:"not null pk autoincr unique(IDX_UUID_TYPE) INT(11)"`
	Uuid                  int    `json:"uuid" xorm:"not null comment('站长id') index unique(IDX_UUID_TYPE) INT(10)"`
	Token                 string `json:"token" xorm:"not null default '' comment('消息校验Token') VARCHAR(255)"`
	AesKey                string `json:"aes_key" xorm:"not null default '' comment('消息加解密Key') VARCHAR(255)"`
	Appid                 string `json:"appid" xorm:"not null default '' comment('appid') CHAR(50)"`
	AppSecret             string `json:"app_secret" xorm:"not null default '' comment('appSecret') VARCHAR(255)"`
	ComponentVerifyTicket string `json:"component_verify_ticket" xorm:"not null default '' comment('验证票据') VARCHAR(255)"`
	ComponentAccessToken  string `json:"component_access_token" xorm:"not null default '' comment('接口令牌') VARCHAR(255)"`
	CreateAt              string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt              string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
